local M = {}

local pizza_run = require('levels/italy/scenarios/pizza_run_angelo234')

local time_per_dist = 0.05
local time_added_per_delivery = 5
local time_lost = 0.75

pizza_run.init(time_per_dist, time_added_per_delivery, time_lost)

-- hook pizza_run lua file methods to methods called by BeamNG
M.onPreRender = pizza_run.onPreRender
M.onBeamNGTrigger = pizza_run.onBeamNGTrigger
M.onScenarioLoaded = pizza_run.onScenarioLoaded
M.onRaceStart = pizza_run.onRaceStart
M.onScenarioRestarted = pizza_run.onScenarioRestarted

return M